%define name libsigc++1.0
%define version 1.0.4
%define release 8mdk
%define prefix %{_prefix}
%define api_version	1.0
%define lib_major 0
%define short_name sigc++%{lib_major}
%define lib_name_orig libsigc++
%define lib_name %mklibname sigc++ %{api_version} %{lib_major}

Name: %{name}
Summary: The Typesafe Signal Framework for C++
Version: %{version}
Release: %{release}
License: LGPL
Source: ftp://download.sourceforge.net/pub/sourceforge/libsigc/%{lib_name_orig}-%{version}.tar.bz2
Patch1: libsigc++-1.0.4-fix-makefile.patch.bz2
Url: http://libsigc.sourceforge.net/
Group: System/Libraries
BuildRequires: /usr/bin/perl gcc-c++
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Callback system for use in widget libraries, abstract interfaces, and
general programming.

This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. Originally part
of the Gtk-- widget set, %{name} is now a separate library to provide for
more general use. It is the most complete library of its kind with the
ablity to connect an abstract callback to a class method, function, or
function object. It contains adaptor classes for connection of dissimilar
callbacks and has an ease of use unmatched by other C++ callback
libraries.

Package gtkmm, which is a c++ binding to the famous gtk+ library, uses
%{name}.

%package -n %{lib_name}
Summary: Main library for %{name}
Group: System/Libraries

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{lib_name}-devel
Summary: Headers for developing programs that will use %{name}
Group: Development/C++
Requires: %{lib_name} = %{version}
Provides: %{lib_name_orig}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n %{lib_name}-examples
Summary: Examples and tests for the Typesafe Signal Framework for C++ 
Group: Development/C++
Requires: %{lib_name}-devel = %{version}

%description -n %{lib_name}-examples
This package contains source code of example and test programs for
%{name}.

%prep
%setup -q -n %{lib_name_orig}-%{version}
%patch1 -p0
perl -pi -e 's|\${prefix}|%{prefix}|' README
perl -pi -e 's|PREFIX|%{prefix}|' doc/FAQ

%build
automake-1.4
# (gc) temp removed. really useful?
#%ifarch alpha
#  ARCH_FLAGS="--host=alpha-redhat-linux"
#%endif

%configure
make

# (gb) all tests must pass
make check

%install
rm -rf $RPM_BUILD_ROOT
#install -d -m 755 $RPM_BUILD_ROOT%{prefix}/{{include,lib}/%{short_name}}
#make install INSTALL="%(which install) -p" prefix=$RPM_BUILD_ROOT%{prefix}
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{short_name}
cp -a examples tests $RPM_BUILD_ROOT%{_libdir}/%{short_name}
find $RPM_BUILD_ROOT%{_libdir}/%{short_name} -type f|xargs file|fgrep relocatable|cut -d: -f1|xargs rm -f
find $RPM_BUILD_ROOT%{_libdir}/%{short_name} -type f|xargs file|fgrep executable|cut -d: -f1|xargs rm -f
find $RPM_BUILD_ROOT%{_libdir}/%{short_name} -type f|xargs file|fgrep 'shell script'|cut -d: -f1|xargs rm -f
find $RPM_BUILD_ROOT%{_libdir}/%{short_name} -type d -name .libs|xargs rm -rf

for i in $RPM_BUILD_ROOT%{_libdir}/%{short_name}/examples/Makefile $RPM_BUILD_ROOT%{_libdir}/%{short_name}/tests/*/Makefile; do
	rm -f $i.*
	cp -p scripts/tests.Makefile $i
done
for i in $RPM_BUILD_ROOT%{_libdir}/%{short_name}/tests/Makefile; do
	rm -f $i.*
	cp -p scripts/examples.Makefile $i
done

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{lib_name}
%defattr(-,root,root)
%doc AUTHORS COPYING.LIB README
%attr(755,root,root) %{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc ChangeLog TODO IDEAS doc/*
%{_bindir}/*
%{_includedir}/*
%{_datadir}/aclocal/*
%{_libdir}/lib*.so
%{_libdir}/*.a
%{_libdir}/*.la

%files -n %{lib_name}-examples
%defattr(-,root,root)
%doc COPYING
%{_libdir}/%{short_name}/examples
%{_libdir}/%{short_name}/tests

%changelog
* Fri Jun  4 2004  <lmontel@n2.mandrakesoft.com> 1.0.4-8mdk
- Rebuild

* Tue Sep  2 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.4-7mdk
- mklibname

* Tue Jul 8 2003 Austin Acton <aacton@yorku.ca> 1.0.4-6mdk
- from andi payn <payn@myrealbox.com> :
  - Various changes to allow libsigc++1.0 to coexist with libsigc++1.2
  - Changed descriptions, etc. to be more akin to 1.2 version

* Tue Aug 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.4-5mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Tue Jul 30 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.4-4mdk
- take Goetz Waschk <waschk@informatik.uni-rostock.de> patch in order to
  build again (disable `windres' use, seems to be a ms-windows only
  binary)

* Tue Jul  2 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.4-3mdk
- Costlessly make check in %%build stage

* Mon May 06 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.4-2mdk
- Automated rebuild in gcc3.1 environment

* Sat Dec 29 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.4-1mdk
- 1.0.4 (some strange stuff with centericq + 1.0.3).

* Tue Oct 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.3-3mdk
- fix obsolete-tag Copyright
- fix summary-too-long
- fix description-line-too-long

* Thu Aug 30 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.3-2mdk
- rebuild to fix distribution tag and provides
- need to change Makefile.am since libtool can't see it needs to
  dynamically link with libstdc++ :-(

* Sat Feb 17 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3
- make provides qualifying version

* Tue Nov 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.2-3mdk
- Correct Obsoletes

* Mon Nov 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.2-2mdk
- fix descriptions

* Mon Nov 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2
- new lib policy

* Tue Nov  7 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-6mdk
- fix summaries and inter-dependency

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-5mdk
- recompile against newest libstdc++

* Tue Oct  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-4mdk
- fix spelling-error-in-description

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-3mdk
- automatically added packager tag

* Tue Jul 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-2mdk
- macros

* Fri Jun  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1

* Sat Apr 15 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0 (was released to accompany the release of gtkmm-1.2.0)

* Sun Apr  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.6-3mdk
- fixed wrong group for libsigc++-examples.

* Sun Apr  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.6-2mdk
- fix. now it does work with gtkmm.

* Mon Mar 06 2000 Lenny Cartier <lenny@mandrakesoft.com>
- oops the 0.8.6 release was out

* Mon Mar 06 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs 
- mandrake build

* Sat Dec 25 1999 Herbert Valerio Riedel <hvr@gnu.org>
- fixed typo of mine
- added traditional CUSTOM_RELEASE stuff
- added SMP support

* Thu Dec 23 1999 Herbert Valerio Riedel <hvr@gnu.org>
- adjusted spec file to get tests.Makefile and examples.Makefile from scripts/

* Fri Oct 22 1999 Dmitry V. Levin <ldv@fandra.org>
- split into three packages: %{name}, %{name}-devel and %{name}-examples

* Thu Aug 12 1999 Karl Nelson <kenelson@ece.ucdavis.edu>
- updated source field and merged conflicts between revisions.

* Tue Aug 10 1999 Dmitry V. Levin <ldv@fandra.org>
- updated Prefix and BuildRoot fields

* Thu Aug  5 1999 Herbert Valerio Riedel <hvr@hvrlab.dhs.org>
- made sure configure works on all alphas

* Wed Jul  7 1999 Karl Nelson <kenelson@ece.ucdavis.edu>
- Added autoconf macro for sigc.

* Fri Jun 11 1999 Karl Nelson <kenelson@ece.ucdavis.edu>
- Made into a .in to keep version field up to date 
- Still need to do release by hand

* Mon Jun  7 1999 Dmitry V. Levin <ldv@fandra.org>
- added Vendor and Packager fields

* Sat Jun  5 1999 Dmitry V. Levin <ldv@fandra.org>
- updated to 0.8.0

* Tue Jun  1 1999 Dmitry V. Levin <ldv@fandra.org>
- initial revision
